dfkt.net
当前位置:首页 >> VS2012配置opEnCv2.4.10,出现问题 >>

VS2012配置opEnCv2.4.10,出现问题

运行的是例程吧,应该是内存错误,导致了异常报错。你可以先试试简单的loadimage等函数可不可用。

使用opencv需要编译源码,得到库文件。可以用cmake构建项目后编译,也可以直接用官方提供的编译好的版本。 官方提供的编译库一般只是标准版本,可能与某些库并不兼容,比如官方提供的编译好的版本与opengl就不兼容,这时就只能自己构建项目后编...

opencv include的文件没有放到文件相对路径中中。include “xxxx”表示" "引用的是你程序目录的相对路径中的头文件。这是一个不用重复搭建opencv开发环境的办法,但是你要用对阿。实在不行,老老实实把opencv下的include文件放到vs编译器定义文件中。

肯定是路径问题啊,你配置的是2.4.9,但是打开的是246版本的lib,看看路径吧

貌似需要用cmake编译dll文件,3.2.0版本默认的dll只有VC++2015库能用

方法/步骤 1 下 载最新版本openCV,官方连接http://opencv.org/,我用的是openCV-2.4.4,下载完成点击exe文件,运行软件,将 openCV库解压到你所要安装的目录中,注意目录不要包含中文。我解压到D:\program files\openCV 2 配置电脑属性,右键点...

这个,VS2012太新了,估计很少有人用吧。 别的不说,可能需要自己下载OpenCV源码,编译一份VS2012平台的运行库。官方自带的只提供到VS2010的。

我也遇到了同样的问题,你也是看的网上的有的配置教程中在附加依赖项中添加的这个文件吧,openCV在2.48中只有haartraining的exe,没有lib,应该是因为配置教程是根据较老版本的opencv配置的,而新版本中对haartraining进行了更改。 我是这样解决...

查看代码中RoseekImageUtil.dll对应的".lib",定位之后才能知道,这个库具体是干什么用的。 才能知道是否必须,如果不是必须的可以删除".lib",如果是必须的那么就要去网上或者提供者给你提供了。

你把下面的错误信息挡住了,要不就是这个工程是你从别的地方复制过来的,路径不太对。

网站首页 | 网站地图
All rights reserved Powered by www.dfkt.net
copyright ©right 2010-2021。
内容来自网络,如有侵犯请联系客服。zhit325@qq.com